# ----------------------------------------------------------------------
#
# VALIDATE PROFILE INI
#
# ----------------------------------------------------------------------


# ----------------------------------------------------------------------
# section names
#
# SYNTAX:
# comma separated list of sections
# ----------------------------------------------------------------------

# sections that MUST be present
sectionsMust="detect,set"

# sections that CAN be present
sectionsCan=""


# ----------------------------------------------------------------------
# variables
#
# SYNTAX:
# - one line per ini entry.
# - <section>.<variable> OR <section>.<variable>:<regex-to-match>
#   The regey is applied with grep -E parameter for extended regex 
#   and "^<regex-to-match>$" for complete value
# ----------------------------------------------------------------------

varsMust=""

varsCan="

detect.binary
detect.process
detect.tcp-port:[0-9]*
detect.tcp-target
detect.tcp-process
detect.type:sqlite
detect.file[]

set.dbuser
set.dbpassword
set.env
set.params
set.su

"

# ----------------------------------------------------------------------
